MSPUBTypes.h File Reference
`#include <string>`
`#include <vector>`
`#include <boost/optional.hpp>`
`#include "ListInfo.h"`
`#include "MSPUBBlockID.h"`
`#include "MSPUBBlockType.h"`
`#include "MSPUBConstants.h"`
`#include "MSPUBContentChunkType.h"`

Go to the source code of this file.

## Classes

struct | libmspub::EscherContainerInfo
struct | libmspub::MSPUBBlockInfo
struct | libmspub::ContentChunkReference
struct | libmspub::QuillChunkReference
struct | libmspub::CharacterStyle
struct | libmspub::LineSpacingInfo
struct | libmspub::ParagraphStyle
struct | libmspub::TextSpan
struct | libmspub::TextParagraph
struct | libmspub::Color

## Namespaces

namespace | libmspub

## Enumerations

enum | libmspub::BorderPosition { libmspub::INSIDE_SHAPE , libmspub::HALF_INSIDE_SHAPE , libmspub::OUTSIDE_SHAPE }
enum | libmspub::SuperSubType { libmspub::NO_SUPER_SUB , libmspub::SUPERSCRIPT , libmspub::SUBSCRIPT }

enum class

libmspub::Underline {
libmspub::None , libmspub::Single , libmspub::WordsOnly , libmspub::Double ,
libmspub::Dotted , libmspub::Thick , libmspub::Dash , libmspub::DotDash ,
libmspub::DotDotDash , libmspub::Wave , libmspub::ThickWave , libmspub::ThickDot ,
libmspub::ThickDash , libmspub::ThickDotDash , libmspub::ThickDotDotDash , libmspub::LongDash ,
libmspub::ThickLongDash , libmspub::DoubleWave
}

enum | libmspub::Alignment { libmspub::LEFT = 0 , libmspub::CENTER = 2 , libmspub::RIGHT = 1 , libmspub::JUSTIFY = 6 }
enum | libmspub::LineSpacingType { libmspub::LINE_SPACING_SP , libmspub::LINE_SPACING_PT }
enum | libmspub::PageType { libmspub::MASTER , libmspub::NORMAL , libmspub::DUMMY_PAGE }
enum | libmspub::ImgType { libmspub::UNKNOWN , libmspub::PNG , libmspub::JPEG , libmspub::WMF , libmspub::EMF , libmspub::TIFF , libmspub::DIB , libmspub::PICT , libmspub::JPEGCMYK }